;InnoSetupVersion=4.0.5

[Setup]
AppName=Happyland Adventures - Xmas Edition
AppVerName=Happyland Adventures - Xmas Edition v1.3
AppId=Happyland Adventures - Xmas Edition
AppPublisher=Free Lunch Design
AppPublisherURL=http://www.freelunchdesign.com
AppSupportURL=http://www.freelunchdesign.com
AppUpdatesURL=http://www.freelunchdesign.com
DefaultDirName=c:\games\happy
DefaultGroupName=Free Lunch Design\Happyland Adventures
OutputBaseFilename=happy_install
Compression=zip
PrivilegesRequired=none
AllowNoIcons=yes
InfoBeforeFile=embedded\InfoBefore.txt
InfoAfterFile=embedded\InfoAfter.txt
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\happy.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\loader.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\loader.txt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\maped.exe"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\maped.ini"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\maped.txt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\readme.txt"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\data\LEVELS.DAT"; DestDir: "{app}\data"; Flags: ignoreversion 
Source: "{app}\data\misc.dat"; DestDir: "{app}\data"; Flags: ignoreversion 
Source: "{app}\data\SPRITES.DAT"; DestDir: "{app}\data"; Flags: ignoreversion 
Source: "{app}\data\tiles.DAT"; DestDir: "{app}\data"; Flags: ignoreversion 
Source: "{app}\data\xlevels.dat"; DestDir: "{app}\data"; Flags: ignoreversion 
Source: "{app}\data\XSPRITES.DAT"; DestDir: "{app}\data"; Flags: ignoreversion 
Source: "{app}\data\xtiles.dat"; DestDir: "{app}\data"; Flags: ignoreversion 
Source: "{app}\maps\examples\bonus_1.map"; DestDir: "{app}\maps\examples"; Flags: ignoreversion 
Source: "{app}\maps\examples\bonus_2.map"; DestDir: "{app}\maps\examples"; Flags: ignoreversion 
Source: "{app}\maps\examples\jungle.map"; DestDir: "{app}\maps\examples"; Flags: ignoreversion 
Source: "{app}\maps\examples\stix.map"; DestDir: "{app}\maps\examples"; Flags: ignoreversion 
Source: "{app}\maps\examples\winter.map"; DestDir: "{app}\maps\examples"; Flags: ignoreversion 
Source: "{app}\maps\rolling_hills\rh_bonus_1.map"; DestDir: "{app}\maps\rolling_hills"; Flags: ignoreversion 
Source: "{app}\maps\rolling_hills\rh_bonus_2.map"; DestDir: "{app}\maps\rolling_hills"; Flags: ignoreversion 
Source: "{app}\maps\rolling_hills\rolling_hills.txt"; DestDir: "{app}\maps\rolling_hills"; Flags: ignoreversion 
Source: "{app}\maps\rolling_hills\rolling_hills_1.map"; DestDir: "{app}\maps\rolling_hills"; Flags: ignoreversion 
Source: "{app}\maps\rolling_hills\rolling_hills_2.map"; DestDir: "{app}\maps\rolling_hills"; Flags: ignoreversion 
Source: "{app}\maps\rolling_hills\rolling_hills_3.map"; DestDir: "{app}\maps\rolling_hills"; Flags: ignoreversion 
Source: "{app}\alleg40.dll"; DestDir: "{app}"; Flags: ignoreversion 

[INI]
FileName: "{app}\happy.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.freelunchdesign.com"; 

[Icons]
Name: "{group}\ Play Happyland Adventures"; Filename: "{app}\happy.exe"; WorkingDir: "{app}"; 
Name: "{group}\Map Editor"; Filename: "{app}\maped.exe"; WorkingDir: "{app}"; 
Name: "{group}\Custom Map Loader"; Filename: "{app}\loader.exe"; WorkingDir: "{app}"; 
Name: "{group}\Happyland Adventures Instructions"; Filename: "{app}\readme.txt"; 
Name: "{group}\Map Editor Instructions"; Filename: "{app}\maped.txt"; 
Name: "{group}\Loader Instructions"; Filename: "{app}\loader.txt"; 
Name: "{group}\Happyland Adventures on the Web"; Filename: "{app}\happy.url"; 
Name: "{group}\Uninstall Happyland Adventures"; Filename: "{uninstallexe}"; 
Name: "{userdesktop}\Happyland Adventures"; Filename: "{app}\happy.exe"; WorkingDir: "{app}"; Tasks: desktopicon; 
Name: "{userdesktop}\Map Editor"; Filename: "{app}\maped.exe"; WorkingDir: "{app}"; Tasks: desktopicon; 
Name: "{userdesktop}\Custom Map Loader"; Filename: "{app}\loader.exe"; WorkingDir: "{app}"; Tasks: desktopicon; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icons"; GroupDescription: "Additional icons:"; 

[UninstallDelete]
Type: files; Name: "{app}\happy.url"; 
Type: files; Name: "{app}\happy.sav"; 
Type: files; Name: "{app}\happy.clv"; 

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
